Merkl Developer Portal logo
get

/v4/ledger/campaigns

Paginated per-campaign ledger accounting with leaf counts (Studio monitoring)

Query parameters

chainIdstring (integer) | integer

Restrict to a single chain

sortstring

<key>-<asc|desc>, one of: budget, deposited, transferred, claimed, outstanding, remaining, updatedAt, startTs, registrations, endTs, campaignId, chainId. Amounts sort numerically, not as text.

pagestring (integer) | integerdefault: 0

0-indexed page number. A page starts at row page * items, at most 10000.

itemsstring (integer) | integerdefault: 100

Number of items returned by page

Responses

200
Response for status 200
Schema
object
totalnumber
required
Rows matching the filters
itemsobject[]
required
campaignIdstring
chainIdnumber
tokenstring
budgetstringBase units, base-10
depositedstringBase units, base-10
transferredstringBase units, base-10
remainingstringBase units, base-10
claimedstringBase units, base-10
outstandingstringBase units, base-10
pausedboolean
pauseReasonstring
startTsnumberUnix seconds
endTsnumberUnix seconds
registrationsnumber
updatedAtnumberUnix millis
rewardTokenobject | nullThe API's token record, or null for the native token and an unknown address
idstringUnique identifier for the token
namestring | nullFull name of the token
chainIdintegerChain Id
addressstring
decimalsnumberNumber of decimals for the token
symbolstringSymbol of the token
iconstringURL to the token icon image
verifiedbooleanWhether the token is verified
isNativebooleanWhether this is a native blockchain token
isTestbooleanWhether this is a test token
typeenumType of the token (TOKEN, PRETGE, POINT)TOKENPRETGEPOINT
pricenumber | nullCurrent price of the token in USD
updatedAtnumber | nullUnix timestamp of last price update
priceSourcestring | nullSource of the price information
displaySymbolstringCustom display symbol override
underlyingTokenIdstringIf this token is a wrapper, the ID of the underlying token
priceAlertDismissedAtnumber
priceAlertCountnumber
leavesnumberReward entries of the campaign
Example
{
  "total": 0,
  "items": [
    {
      "campaignId": "string",
      "chainId": 0,
      "token": "string",
      "budget": "string",
      "deposited": "string",
      "transferred": "string",
      "remaining": "string",
      "claimed": "string",
      "outstanding": "string",
      "paused": false,
      "pauseReason": "string",
      "startTs": 0,
      "endTs": 0,
      "registrations": 0,
      "updatedAt": 0,
      "rewardToken": {
        "id": "string",
        "name": null,
        "chainId": 0,
        "address": "string",
        "decimals": 0,
        "symbol": "string",
        "icon": "string",
        "verified": false,
        "isNative": false,
        "isTest": false,
        "type": null,
        "price": null,
        "updatedAt": null,
        "priceSource": null,
        "displaySymbol": "string",
        "underlyingTokenId": "string",
        "priceAlertDismissedAt": 0,
        "priceAlertCount": 0
      },
      "leaves": 0
    }
  ]
}